Bug 847598 - katello-configure --deployment failed after katello-all install
katello-configure --deployment failed after katello-all install
Status: CLOSED ERRATA
Product: Subscription Asset Manager
Classification: Red Hat
Component: katello-configure (Show other bugs)
1.2
x86_64 Linux
medium Severity medium
: rc
: ---
Assigned To: Jordan OMara
Tazim Kolhar
: Triaged
Depends On:
Blocks: sam12-tracker
  Show dependency treegraph
 
Reported: 2012-08-13 01:36 EDT by Tazim Kolhar
Modified: 2016-04-25 20:54 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-21 14:17:24 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tazim Kolhar 2012-08-13 01:36:14 EDT
Description of problem:
katello-configure failed after installation of katello-all
Version-Release number of selected component (if applicable):
[root@tyan-gt24-03 yum.repos.d]# rpm -qa | grep katello
katello-all-1.0.5-1.fc16.noarch
katello-glue-candlepin-1.0.5-1.fc16.noarch
katello-cli-1.1.1-1.fc16.noarch
katello-configure-1.1.3-1.fc16.noarch
katello-glue-pulp-1.0.5-1.fc16.noarch
katello-1.0.5-1.fc16.noarch
katello-candlepin-cert-key-pair-1.0-1.noarch
katello-selinux-1.0.1-1.fc16.noarch
katello-glue-foreman-1.0.5-1.fc16.noarch
katello-certs-tools-1.1.8-1.fc16.noarch
katello-cli-common-1.1.1-1.fc16.noarch
katello-common-1.0.5-1.fc16.noarch


How reproducible:
yum install -y katello-all thumbslug
katello-configure --deployment=headpin

Steps to Reproduce:
1.yum install -y katello-all thumbslug
2.katello-configure --deployment=headpin

  
Actual results:

[root@tyan-gt24-03 ~]# katello-configure --deployment=headpin
Starting Katello configuration
The top-level log file is [/var/log/katello/katello-configure-20120813-011133/main.log]
Creating Candlepin database user
############################################################ ... OK
Creating Katello database user
############################################################ ... OK
Creating Katello database
############################################################ ... OK
err: /Stage[main]/Candlepin::Service/Exec[cpinit]/returns: change from notrun to 0 failed: /usr/bin/wget --timeout=30 --tries=5 --retry-connrefused -qO- http://localhost:8080/candlepin/admin/init >/var/log/katello/katello-configure/cpinit.log 2>&1 && touch /var/lib/katello/cpinit_done returned 8 instead of one of [0] at /usr/share/katello/install/puppet/modules/candlepin/manifests/service.pp:20

Expected results:

The configuration should work without any errors

Additional info:
Comment 1 Eric Sammons 2012-08-17 13:57:11 EDT
Please verify against latest build katello-all-1.1.5-1.
Comment 2 Bryan Kearney 2012-11-02 10:16:26 EDT
Kicking to ON_QA based on comment 1.
Comment 3 Tazim Kolhar 2012-11-06 00:02:56 EST
VERIFIED :

# rpm -qa | grep katello
katello-certs-tools-1.2.1-1h.el6_3.noarch
katello-candlepin-cert-key-pair-1.0-1.noarch
katello-cli-common-1.2.2-1h.el6_3.noarch
katello-glue-candlepin-1.2.2-1h.el6_3.noarch
katello-cli-1.2.2-1h.el6_3.noarch
katello-selinux-1.2.1-1h.el6_3.noarch
katello-headpin-all-1.2.2-1h.el6_3.noarch
katello-headpin-1.2.2-1h.el6_3.noarch
katello-configure-1.2.1-1h.el6_3.noarch
katello-common-1.2.2-1h.el6_3.noarch
Comment 5 errata-xmlrpc 2013-02-21 14:17:24 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-0544.html

Note You need to log in before you can comment on or make changes to this bug.